Skip to main content
POST
/
gemini
/
video
/
generate
Create video generation task
curl --request POST \
  --url https://api.mountsea.ai/gemini/video/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A fluffy orange cat running through a sunny meadow",
  "action": "text2video",
  "model": "veo31_fast",
  "imageList": [
    "https://example.com/image1.jpg",
    "https://example.com/image2.jpg"
  ],
  "aspectRatio": "16:9",
  "translation": false
}
'
{
  "taskId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
prompt
string
required

Video description/prompt (English recommended for best results)

Example:

"A fluffy orange cat running through a sunny meadow"

action
enum<string>
required

Video generation action

Available options:
text2video,
img2video,
ingredients2video
Example:

"text2video"

model
enum<string>
required

Video generation model. Note: INGREDIENTS2VIDEO only supports veo31_fast

Available options:
veo2_fast,
veo2_quality,
veo3_fast,
veo3_quality,
veo31_fast,
veo31_quality,
veo31_fast_ingredients
Example:

"veo31_fast"

imageList
string[]

Image URLs for image-based video generation:

  • IMG2VIDEO: 1-2 images (start frame, or start + end frames)
  • INGREDIENTS2VIDEO: 1-3 reference images (required)
  • veo31_fast_ingredients model: 1-3 images
Example:
[
  "https://example.com/image1.jpg",
  "https://example.com/image2.jpg"
]
aspectRatio
enum<string>
default:16:9

Video aspect ratio

Available options:
16:9,
9:16
Example:

"16:9"

translation
boolean
default:false
deprecated

[已废弃] Enable automatic prompt translation to English

Example:

false

Response

201 - application/json
taskId
string
required

task id, used to get task result later